| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Wavelet Class Reference
Seis

`#include <wavelet.h>`

Inheritance diagram for Wavelet:
[legend]

## Public Member Functions
| Wavelet (bool ricker_else_sinc, float fpeak, float sample_intv=mUdf(float), float scale=1)
| Wavelet (const char *nm=0)
| Wavelet (const TypeSet< float > &freq, float sample_intv=mUdf(float), float scale=1)
| Wavelet (const Wavelet &)
virtual | ~Wavelet ()
int | centerSample () const
void | ensureSymmetricalSamples ()
| pads with zeros - use with and before reSample
float | get (int idx) const
float | getExtrValue (bool ismax=true) const
void | getExtrValues (Interval< float > &) const
int | getPos (float val, bool closetocenteronly=false) const
float | getValue (float) const
bool | hasSymmetricalSamples ()
const ValueSeriesInterpolator< float > & | interpolator () const
bool | isValidSample (int idx) const
int | nearestSample (float z) const
void | normalize ()
Wavelet & | operator= (const Wavelet &)
bool | put (const IOObj *) const
bool | reSample (float newsr)
bool | reSampleTime (float newsr)
void | reSize (int)
void | reverse ()
StepInterval< float > | samplePositions () const
float | sampleRate () const
float * | samples ()
const float * | samples () const
void | set (int idx, float v)
void | setCenterSample (int cidx)
| positive for starttwt < 0
void | setInterpolator (ValueSeriesInterpolator< float > *)
| becomes mine
void | setSampleRate (float sr)
int | size () const
void | transform (float b, float a)
| a*X+b transformation
bool | trimPaddedZeros ()
| returns whether any change
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static Wavelet * | get (const IOObj *)
static IOObj * | getIOObj (const char *wvltnm)
static bool | isScaled (const MultiID &)
static bool | isScaled (const MultiID &id, MultiID &orgid, MultiID &horid, MultiID &seisid, BufferString &lvlnm)
| if external, orgid will be "0"
static void | markScaled (const MultiID &id)
| "External"
static void | markScaled (const MultiID &id, const MultiID &orgid, const MultiID &horid, const MultiID &seisid, const char *lvlnm)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Attributes
int | cidx_
| The index of the center sample.
float | dpos_
ValueSeriesInterpolator< float > * | intpol_ = nullptr
float * | samps_ = nullptr
int | sz_ = 0
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ Wavelet() [1/4]

Wavelet::Wavelet | ( | const char * | nm = 0 | ) |

## ◆ Wavelet() [2/4]

Wavelet::Wavelet | ( | bool | ricker_else_sinc,
|  | float | fpeak,
|  | float | sample_intv = mUdf(float),
|  | float | scale = 1 )

## ◆ Wavelet() [3/4]

Wavelet::Wavelet | ( | const TypeSet< float > & | freq,
|  | float | sample_intv = mUdf(float),
|  | float | scale = 1 )

## ◆ Wavelet() [4/4]

Wavelet::Wavelet | ( | const Wavelet & |  | ) |

## ◆ ~Wavelet()

virtual Wavelet::~Wavelet | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ centerSample()

int Wavelet::centerSample | ( |  | ) | const
| inline

## ◆ ensureSymmetricalSamples()

void Wavelet::ensureSymmetricalSamples | ( |  | ) |

pads with zeros - use with and before reSample

## ◆ get() [1/2]

static Wavelet * Wavelet::get | ( | const IOObj * |  | ) |
| static

## ◆ get() [2/2]

float Wavelet::get | ( | int | idx | ) | const
| inline

## ◆ getExtrValue()

float Wavelet::getExtrValue | ( | bool | ismax = true | ) | const

## ◆ getExtrValues()

void Wavelet::getExtrValues | ( | Interval< float > & |  | ) | const

## ◆ getIOObj()

static IOObj * Wavelet::getIOObj | ( | const char * | wvltnm | ) |
| static

## ◆ getPos()

int Wavelet::getPos | ( | float | val,
|  | bool | closetocenteronly = false ) const

## ◆ getValue()

float Wavelet::getValue | ( | float |  | ) | const

## ◆ hasSymmetricalSamples()

bool Wavelet::hasSymmetricalSamples | ( |  | ) |
| inline

## ◆ interpolator()

const ValueSeriesInterpolator< float > & Wavelet::interpolator | ( |  | ) | const

## ◆ isScaled() [1/2]

static bool Wavelet::isScaled | ( | const MultiID & |  | ) |
| static

## ◆ isScaled() [2/2]

static bool Wavelet::isScaled | ( | const MultiID & | id,
|  | MultiID & | orgid,
|  | MultiID & | horid,
|  | MultiID & | seisid,
|  | BufferString & | lvlnm )
| static

if external, orgid will be "0"

## ◆ isValidSample()

bool Wavelet::isValidSample | ( | int | idx | ) | const
| inline

## ◆ markScaled() [1/2]

static void Wavelet::markScaled | ( | const MultiID & | id | ) |
| static

"External"

## ◆ markScaled() [2/2]

static void Wavelet::markScaled | ( | const MultiID & | id,
|  | const MultiID & | orgid,
|  | const MultiID & | horid,
|  | const MultiID & | seisid,
|  | const char * | lvlnm )
| static

## ◆ nearestSample()

int Wavelet::nearestSample | ( | float | z | ) | const

## ◆ normalize()

void Wavelet::normalize | ( |  | ) |

## ◆ operator=()

Wavelet & Wavelet::operator= | ( | const Wavelet & |  | ) |

## ◆ put()

bool Wavelet::put | ( | const IOObj * |  | ) | const

## ◆ reSample()

bool Wavelet::reSample | ( | float | newsr | ) |

## ◆ reSampleTime()

bool Wavelet::reSampleTime | ( | float | newsr | ) |

## ◆ reSize()

void Wavelet::reSize | ( | int |  | ) |

## ◆ reverse()

void Wavelet::reverse | ( |  | ) |

## ◆ samplePositions()

StepInterval< float > Wavelet::samplePositions | ( |  | ) | const
| inline

## ◆ sampleRate()

float Wavelet::sampleRate | ( |  | ) | const
| inline

## ◆ samples() [1/2]

float * Wavelet::samples | ( |  | ) |
| inline

## ◆ samples() [2/2]

const float * Wavelet::samples | ( |  | ) | const
| inline

## ◆ set()

void Wavelet::set | ( | int | idx,
|  | float | v )
| inline

## ◆ setCenterSample()

void Wavelet::setCenterSample | ( | int | cidx | ) |
| inline

positive for starttwt < 0

## ◆ setInterpolator()

void Wavelet::setInterpolator | ( | ValueSeriesInterpolator< float > * |  | ) |

becomes mine

## ◆ setSampleRate()

void Wavelet::setSampleRate | ( | float | sr | ) |
| inline

## ◆ size()

int Wavelet::size | ( |  | ) | const
| inline

## ◆ transform()

void Wavelet::transform | ( | float | b,
|  | float | a )

a*X+b transformation

## ◆ trimPaddedZeros()

bool Wavelet::trimPaddedZeros | ( |  | ) |

returns whether any change

## Member Data Documentation

## ◆ cidx_

int Wavelet::cidx_
| protected

The index of the center sample.

## ◆ dpos_

float Wavelet::dpos_
| protected

## ◆ intpol_

ValueSeriesInterpolator<float>* Wavelet::intpol_ = nullptr
| protected

## ◆ samps_

float* Wavelet::samps_ = nullptr
| protected

## ◆ sz_

int Wavelet::sz_ = 0
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025